Get MySQL client info

- « mysqli::get_charset

- mysqli::$client_version »

- PHP Manual
- mysqli
- Get MySQL client info

# mysqli::$client_info

# mysqli::get_client_info

# mysqli_get_client_info

(PHP 5, PHP 7, PHP 8)

mysqli::$client_info -- mysqli::get_client_info -- mysqli_get_client_info — Get MySQL client info

### Description

Object-oriented style

string $mysqli->client_info;
public mysqli::get_client_info(): string

Procedural style

mysqli_get_client_info(?mysqli `$mysql` = `null`): string

Returns a string that represents the MySQL client library version.

### Parameters

This function has no parameters.

### Return Values

A string that represents the MySQL client library version.

### Changelog

Version | Description
--- | ---
8.1.0 | Calling mysqli_get_client_info() with the `mysql` argument has been deprecated. This function never required a parameter, but incorrectly allowed it as an optional parameter.
8.1.0 | The object-oriented style mysqli::get_client_info() has been deprecated.

### Examples

Example #1 mysqli_get_client_info

    <?php/* We don't need a connection to determine   the version of mysql client library */printf("Client library version: %s\n", mysqli_get_client_info());?>

### See Also

- mysqli_get_client_version() - Returns the MySQL client version as an integer
- mysqli_get_server_info() - Returns the version of the MySQL server
- mysqli_get_server_version() - Returns the version of the MySQL server as an integer